| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.ToggleLayouts

Portability | portable
Stability | unstable
Maintainer | none

Contents

Usage

Description
A module to toggle between two layouts.
Synopsis

toggleLayouts :: (LayoutClass lt a, LayoutClass lf a) => lt a -> lf a -> ToggleLayouts lt lf a

data ToggleLayout

= ToggleLayout
| Toggle String

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.ToggleLayouts

Then edit your `layoutHook` by adding the ToggleLayouts layout:

     myLayout = toggleLayouts Full (Tall 1 (3/100) (1/2)) ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

To toggle between layouts add a key binding like

        , ((modm .|. controlMask, xK_space), sendMessage ToggleLayout)

or a key binding like

        , ((modm .|. controlMask, xK_space), sendMessage (Toggle "Full"))

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

toggleLayouts :: (LayoutClass lt a, LayoutClass lf a) => lt a -> lf a -> ToggleLayouts lt lf a | Source

data ToggleLayout | Source

Constructors

ToggleLayout |
Toggle String |

Instances

Read ToggleLayout
Show ToggleLayout
Typeable ToggleLayout
Message ToggleLayout

Produced by Haddock version 2.4.2